#!/bin/sh
#
# Bereitet die Koeffizientenvektoren fuer die HTML-Seite auf

# 
# sicherstellen, dass alles bereit
#

for ART in a t         # a = aequidistant, t = Tschebyscheff-Polynom
do

  echo -n "St&uuml;tzstellenart "
  echo $ART
  # 
  # Schleife ueber die zu waehlende Funktion und den Grad des
  # Polynoms
  #
  for FNR in 1 2 3 4; do               # Nr. der Beispielfunktion
    echo -n "Funktion "
    echo $FNR
    for GRAD in 2 4 7 10; do           # Grad des Interpolationpolynoms

      NAME=ergebnis/${FNR}${ART}${GRAD}

      #
      # Koeffizienten der Newton-Darstellung ausgeben
      #
      echo -n "Grad "
      echo -n $GRAD
      echo -n ":"
      echo `tail -\`expr $GRAD + 1\` ${NAME}.cof `

    done

    #
    # Tabellenzeile abschliessen
    #
    echo     
  done

  #
  # und die naechste Tabelle
  #
  echo     
done
