/* lgs.h
 * loest ein lineares Gleichungssystem und gibt zusaetzliche Infos
 * erstellt: Mit Okt 27 14:57:01 CEST 1999
 * Autoren : Mirko Belickin und Joachim Wagner
 */

#ifndef __LGS_H
#define __LGS_H

#include <stdio.h>
#include "matrix.h"

typedef struct linearesSystem {
    matrix *a;           /* n x n Matrix A */
    matrix *b;           /* Vektor b als n x 1 Matrix */
    matrix *p;           /* Vektor p als n x 1 Matrix */
    matrix *l;           /* untere Dreiecksmatrix L */
    matrix *r;           /* obere Dreiecksmatrix R oder L^t */
    matrix *c;           /* Vektor c als n x 1 Matrix */
    matrix *x;           /* Loesungsvektor x als n x 1 Matrix */
    double det;          /* Determinante der Matrix a */
} linearesSystem;

/* Typ fuer Funktionen fuer Pivot-Strategien:
   Funktion gibt Zeile zwischen k und n, die Pivotzeile sein soll 
*/

typedef int (*pivotStrategieFunktion)(matrix *m, int k); 


/* Wir stellen dem Benutzer folgende Strategien bereit: */

int diagonalStrategie(matrix *m, int k); 
int relativeSpaltenMaximumStrategie(matrix *m, int k); 

/* Die Zerlegung */

int lrZerlegungUndDeterminanteUndLoesen(linearesSystem *lgs,
                                        pivotStrategieFunktion pivotStrategie);


#endif

