/* newtnipl.h
 * Newton-Interpolation
 * erstellt: Fre Nov 19 16:19:34 CET 1999
 * Autoren:  Mirko Belickin und Joachim Wagner
 */

#ifndef __NEWTONINTERPOLATION_H
#define __NEWTONINTERPOLATION_H

#include "namen.h"
#include "interplt.h"
#include "matrix.h"
#include <stdio.h>

typedef struct newtoninterpolationsdaten {
    matrix *x;                    /* Stuetzstellen   */ 
    matrix *y;                    /* Stuetzwerte     */ 
    matrix *c;                    /* Koeffizienten   */ 
    char *name;                   /* Name der Matrix */
    int n;                        /* Anzahl Stuetzstellen */

    /* Informationen, um Daten kompakter speichern zu koennem: */
    int stuetzstellenart;        /* 0 = freie Stellen, 
                                  * 1 = aequidistante Stellen,
                                  * 2 = nach Tschebyscheff-Polynom       */
    double a,b;                  /* Intervallgrenzen  (art != 0)         */
} newtoninterpolationsdaten;

typedef struct newtoninterpolationsschablone {
    char *name;                  /* Name, den die Matrix erhalten soll   */
    int stuetzstellenart;        /* 0 = freie Stellen, 
                                  * 1 = aequidistante Stellen,
                                  * 2 = nach Tschebyscheff-Polynom       */
    matrix *x;                   /* Stuetzstellen, falls art = 0         */
    double a,b;                  /* Intervallgrenzen  (art != 0)         */
    matrix *y;                   /* Stuetzwerte                          */
} newtoninterpolationsschablone;


#endif
